﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace TweenLog2CSV
{
    class Program
    {
        static void Main(string[] args)
        {
            for (int i = 0; i < args.Length; i++)
            {
                try
                {
                    string[] log = File.ReadAllLines(args[i], Encoding.UTF8);
                    string[] csv = CSVConverter.ToCSV(log);
                    File.WriteAllLines(args[i] + ".csv", csv, Encoding.Default);
                }
                catch (Exception e)
                {
                    File.WriteAllText("error.log", e.Message);
                }
            }
        }
    }
}
